part of 'generated.dart';

class DeleteConversationVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteConversationVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteConversationData> dataDeserializer = (dynamic json)  => DeleteConversationData.fromJson(jsonDecode(json));
  Serializer<DeleteConversationVariables> varsSerializer = (DeleteConversationVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteConversationData, DeleteConversationVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteConversationData, DeleteConversationVariables> ref() {
    DeleteConversationVariables vars= DeleteConversationVariables(id: id,);
    return _dataConnect.mutation("deleteConversation", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteConversationConversationDelete {
  final String id;
  DeleteConversationConversationDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteConversationConversationDelete otherTyped = other as DeleteConversationConversationDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteConversationConversationDelete({
    required this.id,
  });
}

@immutable
class DeleteConversationData {
  final DeleteConversationConversationDelete? conversation_delete;
  DeleteConversationData.fromJson(dynamic json):
  
  conversation_delete = json['conversation_delete'] == null ? null : DeleteConversationConversationDelete.fromJson(json['conversation_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteConversationData otherTyped = other as DeleteConversationData;
    return conversation_delete == otherTyped.conversation_delete;
    
  }
  @override
  int get hashCode => conversation_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (conversation_delete != null) {
      json['conversation_delete'] = conversation_delete!.toJson();
    }
    return json;
  }

  DeleteConversationData({
    this.conversation_delete,
  });
}

@immutable
class DeleteConversationVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteConversationVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteConversationVariables otherTyped = other as DeleteConversationVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteConversationVariables({
    required this.id,
  });
}

